Skip to main content
POST
Imports stores including opening hours. Introduced for DataImport service.

Authorizations

Authorization
string
header
required

Query Parameters

mode
enum<string>
Available options:
Incremental,
Full

Body

id
string | null
alternateIds
string | null

Alternative store identifiers

name
string | null

Store name

registrationNumber
string | null

Store Registration (VAT) number

phone
string | null

Store phone number

email
string | null

Store contact email

country
string | null

Country, where store is located

city
string | null

City, where store is located

street
string | null

Street, where store is located

streetNumber
string | null

Street number, where store is located

postalCode
string | null

Store postal code

latitude
number<double> | null

Store geographical latitude coordinate. Should be specified together with StoreApi.Models.v3.Service2Service.ImportStoreRequest.Longitude

longitude
number<double> | null

Store geographical longitude coordinate. Should be specified together with StoreApi.Models.v3.Service2Service.ImportStoreRequest.Latitude

chainId
string | null

Identifier of chain to which store belongs

status
string | null

Status of the store: Active/Closed

storeType
string | null

Type of the store: Public/Internal

timeZone
string | null

Store timezone

monday
string | null
tuesday
string | null
wednesday
string | null
thursday
string | null
friday
string | null
saturday
string | null
sunday
string | null

Response

OK

errors
object[] | null
Last modified on August 10, 2026